Skip to main content
GET
List scheme share resources

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
include
enum<string>[]

A comma separated list of related resources to include.

Available options:
organisation_bridge,
owner,
shared_by,
shared_with,
scheme
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id: Filter by scheme share ID
  • scheme.id: Filter by scheme ID
  • bridge: Filter by organisation bridge ID
  • owner: Filter by the organisation that created the share
  • shared_by: Filter by the organisation sharing the scheme
  • shared_with: Filter by the organisation the scheme is shared with
  • organisation: Filter by any organisation involved in the share (shared_by or shared_with)

For more information on using named filters, see the docs

Response

List scheme shares.

JSON API response object

data
object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when a scheme share is returned

An organisation